/**
 * Define the exit command.
 */

package extensions.generic;

import extensions.generic.*;
import java.io.*;
import javax.swing.*;
import java.awt.*;

public class SaveJPGCmd implements Command {
	private extensions.generic.CapturingCanvas3D canvasXYZ;
	private Frame frame;
	
	public SaveJPGCmd(extensions.generic.CapturingCanvas3D canvasXYZ,
	                   Frame frame) {
		this.canvasXYZ = canvasXYZ;
		this.frame = frame;
	}
		
    public void Execute(){

	    //FileDialog does not work with FilenameFilter
	    /*
		FileDialog fd = new FileDialog(frame, "Save JPG file", FileDialog.SAVE);
	    fd.setDirectory(".");
	    //fd.setFilenameFilter(filter);
	    fd.show();
    	String filename = fd.getFile();
    	if(filename == null) {
    		System.out.println("Cancelled by user.");
            return;
        } else {
            System.out.println("You chose to open this file: " +
            filename);
        }
        */        	        	    

	    JFileChooser fc = new JFileChooser(".");
	    extensions.generic.ImageJPGFilter filter = 
	              new extensions.generic.ImageJPGFilter();
	    String filename = null;
	    
        fc.setFileFilter(filter);
        int returnVal = fc.showSaveDialog(frame);

        if (returnVal == JFileChooser.APPROVE_OPTION) {
        	filename =  fc.getSelectedFile().getName();    
            System.out.println("You chose to open this file: " +
            fc.getSelectedFile().getName());    	
        } else {
            System.out.println("Cancelled by user.");
            return;
        }
        		
        //waitFor(1000);		
		canvasXYZ.setFileName(filename);
		canvasXYZ.writeJPEG_ = true;
		//canvasXYZ.postSwap();
		//canvasXYZ.repaint();
    }
    
    /*
    private void waitFor(long howLong){
     try {
        wait(howLong);
     } catch (Exception e) { System.out.println(e);}
   }
   */
}

